Botan 1.10.17

Public Member Functions | List of all members
Botan::Integrity_Failure Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Integrity_Failure:

## Public Member Functions
| Integrity_Failure (const std::string &msg)

## Detailed Description

Integrity_Failure Exception

Definition at line 147 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Integrity_Failure()

Botan::Integrity_Failure::Integrity_Failure | ( | const std::string & | msg | ) |
| inline

Definition at line 149 of file exceptn.h.

149 :
150 Exception("Integrity failure: " + msg) {}
Botan::Exception
std::runtime_error Exception
Definition: exceptn.h:19

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h